Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class OperationAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.OperationAdmin

public class OperationAdmin
extends AbstractAdmin

Admin service to manage service oprations

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`OperationAdmin()`

Method Summary
`void` | `configureMTOM(java.lang.String flag, java.lang.String serviceName, java.lang.String operationName)` Configuring MTOM
`org.apache.axiom.om.OMElement[]` | `getDeclaredOperationParameters(java.lang.String serviceName, java.lang.String operationName)` return only the parameters for explicitly set for this operation (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element
`java.lang.Object[]` | `getOperationInfo(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationId)` return all available operation metadata (not counts)
`org.apache.axiom.om.OMElement[]` | `getOperationParameters(java.lang.String serviceId, java.lang.String operationId)` return all parameters for this operation (including inherited ones), where each parameter is an XML fragment representing the "parameter" element
`OperationMetaData` | `getOperationStatistics(java.lang.String serviceName, java.lang.String operationName)` return all accumulated data about this operation
`org.apache.axiom.om.OMElement` | `getPolicy(java.lang.String serviceId, java.lang.String operationId)`
`OperationMetaData[]` | `listAllOperations(java.lang.String serviceName)` list all the operations in the service including both control and published operations
`OperationMetaData[]` | `listControlOperations(java.lang.String serviceName)` list only the control operations added by modules and some other way
`java.lang.String[]` | `listOperationPhaseHandlers(java.lang.String serviceName, java.lang.String operationName, int flow, java.lang.String phaseName)` To list handlers in a given operation phases
`java.lang.String[]` | `listOperationPhases(java.lang.String serviceName, java.lang.String operationName, int flow)` list all the operation phases
`OperationMetaData[]` | `listPublishedOperations(java.lang.String serviceName)` list all the published operations (come from servics.xml and wsdl)
`void` | `removeOperationParameter(java.lang.String serviceId, java.lang.String operationId, java.lang.String groupVersion, org.apache.axiom.om.OMElement parameterElement)`
`void` | `removeOperationParameters(java.lang.String serviceId, java.lang.String operationId, java.lang.String groupVersion, org.apache.axiom.om.OMElement[] parameterElements)`
`void` | `setOperationParameter(java.lang.String serviceId, java.lang.String operationId, java.lang.String groupVersion, org.apache.axiom.om.OMElement parameterElement)`
`void` | `setOperationParameters(java.lang.String serviceId, java.lang.String operationId, java.lang.String groupVersion, org.apache.axiom.om.OMElement[] parameterElements)`
`void` | `setPolicy(java.lang.String serviceId, java.lang.String operationId, org.apache.axiom.om.OMElement policyElement)`

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationAdmin

    public OperationAdmin()

Method Detail

### listAllOperations

    public OperationMetaData[] listAllOperations(java.lang.String serviceName)
                                          throws org.apache.axis2.AxisFault

  list all the operations in the service including both control and published operations

  Parameters:
    `serviceName` -
  Returns:
    list of all operations
  Throws:
    `org.apache.axis2.AxisFault`

### listControlOperations

    public OperationMetaData[] listControlOperations(java.lang.String serviceName)
                                              throws org.apache.axis2.AxisFault

  list only the control operations added by modules and some other way

  Parameters:
    `serviceName` -
  Returns:
    list of control operations
  Throws:
    `org.apache.axis2.AxisFault`

### listPublishedOperations

    public OperationMetaData[] listPublishedOperations(java.lang.String serviceName)
                                                throws org.apache.axis2.AxisFault

  list all the published operations (come from servics.xml and wsdl)

  Parameters:
    `serviceName` -
  Returns:
    list of published operations
  Throws:
    `org.apache.axis2.AxisFault`

### getOperationInfo

    public java.lang.Object[] getOperationInfo(java.lang.String serviceId,
                                               java.lang.String serviceVersion,
                                               java.lang.String operationId)
                                        throws org.apache.axis2.AxisFault

  return all available operation metadata (not counts)

  Parameters:
    `serviceId` -
    `serviceVersion` -
    `operationId` -
  Returns:
    operation info
  Throws:
    `org.apache.axis2.AxisFault`

### getOperationStatistics

    public OperationMetaData getOperationStatistics(java.lang.String serviceName,
                                                    java.lang.String operationName)
                                             throws org.apache.axis2.AxisFault

  return all accumulated data about this operation

  Parameters:
    `serviceName` -
    `operationName` -
  Returns:
    operation stats
  Throws:
    `org.apache.axis2.AxisFault`

### configureMTOM

    public void configureMTOM(java.lang.String flag,
                              java.lang.String serviceName,
                              java.lang.String operationName)
                       throws org.apache.axis2.AxisFault

  Configuring MTOM

  Parameters:
    `flag` -
    `serviceName` -
    `operationName` -
  Throws:
    `org.apache.axis2.AxisFault`

### getOperationParameters

    public org.apache.axiom.om.OMElement[] getOperationParameters(java.lang.String serviceId,
                                                                  java.lang.String operationId)
                                                           throws org.apache.axis2.AxisFault

  return all parameters for this operation (including inherited ones), where each parameter is an XML fragment representing the "parameter" element

  Parameters:
    `serviceId` -
    `operationId` -
  Returns:
    operation params
  Throws:
    `org.apache.axis2.AxisFault`

### getDeclaredOperationParameters

    public org.apache.axiom.om.OMElement[] getDeclaredOperationParameters(java.lang.String serviceName,
                                                                          java.lang.String operationName)
                                                                   throws org.apache.axis2.AxisFault

  return only the parameters for explicitly set for this operation (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element

  Parameters:
    `serviceName` -
    `operationName` -
  Returns:
    declared operation params
  Throws:
    `org.apache.axis2.AxisFault`

### setOperationParameters

    public void setOperationParameters(java.lang.String serviceId,
                                       java.lang.String operationId,
                                       java.lang.String groupVersion,
                                       org.apache.axiom.om.OMElement[] parameterElements)
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removeOperationParameters

    public void removeOperationParameters(java.lang.String serviceId,
                                          java.lang.String operationId,
                                          java.lang.String groupVersion,
                                          org.apache.axiom.om.OMElement[] parameterElements)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setOperationParameter

    public void setOperationParameter(java.lang.String serviceId,
                                      java.lang.String operationId,
                                      java.lang.String groupVersion,
                                      org.apache.axiom.om.OMElement parameterElement)
                               throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removeOperationParameter

    public void removeOperationParameter(java.lang.String serviceId,
                                         java.lang.String operationId,
                                         java.lang.String groupVersion,
                                         org.apache.axiom.om.OMElement parameterElement)
                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### listOperationPhases

    public java.lang.String[] listOperationPhases(java.lang.String serviceName,
                                                  java.lang.String operationName,
                                                  int flow)
                                           throws org.apache.axis2.AxisFault

  list all the operation phases

  Parameters:
    `serviceName` -
    `operationName` -
    `flow` -
  Returns:
    operation phases
  Throws:
    `org.apache.axis2.AxisFault`

### listOperationPhaseHandlers

    public java.lang.String[] listOperationPhaseHandlers(java.lang.String serviceName,
                                                         java.lang.String operationName,
                                                         int flow,
                                                         java.lang.String phaseName)
                                                  throws org.apache.axis2.AxisFault

  To list handlers in a given operation phases

  Parameters:
    `serviceName` -
    `operationName` -
    `flow` -
    `phaseName` -
  Returns:
    operation phase handlers
  Throws:
    `org.apache.axis2.AxisFault`

### getPolicy

    public org.apache.axiom.om.OMElement getPolicy(java.lang.String serviceId,
                                                   java.lang.String operationId)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setPolicy

    public void setPolicy(java.lang.String serviceId,
                          java.lang.String operationId,
                          org.apache.axiom.om.OMElement policyElement)
                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD